POST /api/entity_store/engines/{entityType}/stop

Spaces method and path for this operation:

post /s/{space_id}/api/entity_store/engines/{entityType}/stop

Refer to Spaces for more information.

Stop a running entity engine, pausing transform processing for the given entity type.

Path parameters

  • entityType string Required

    The entity type of the engine to stop.

    Values are user, host, service, or generic.

Responses

  • 200 application/json

    Successful response

    Hide response attribute Show response attribute object
    • stopped boolean

      Whether the engine was successfully stopped.

POST /api/entity_store/engines/{entityType}/stop
curl \
 --request POST 'https://<KIBANA_URL>/api/entity_store/engines/host/stop' \
 --header "Authorization: $API_KEY"
Response examples (200)
The engine was successfully stopped and is no longer processing data.
{
  "stopped": true
}